Subject: Re: route cache DoS testing and softirqs

From: "David S. Miller" <[email-masked]>
Date: Tue, 30 Mar 2004 14:22:10 -0800

On Tue, 30 Mar 2004 23:37:42 +0200
Andrea Arcangeli <[email-masked]> wrote:

> that means nothing runs in ksoftirqd for Dipankar, so he cannot be using
> NAPI.
> 
> Either that or I'm misreading his numbers, or his stats results are wrong.

If these numbers are with your "if (ksoftirqd_pending()) return;" thing
at the top of do_softirq() then I must agree with you.

Otherwise, keep in mind what I said, and also as Robert mentioned every
single local_bh_enable() is going to call do_softirq() if the count falls
to zero.